//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"

// iz code - begin
#include "HelloBCB_TLB.h"
#include "HelloDelphi_TLB.h"
#include "HelloVB_TLB.h"
#include "HelloVCLib_TLB.h"
#include "Hellovfp_tlb.h"
// iz code - end


//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

// call BCB server
void __fastcall TForm1::BtnBCBClick(TObject *Sender)
{
  // iz code - begin
  Hellobcb_tlb::TCOMIHello Hello;
  try
  {
    Hello = Hellobcb_tlb::CoHello::Create();
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloBCB' COM server");
    Application->Terminate();
  }

  WideString retval;
  Hello->GetHelloString(&retval);
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

// call Delphi server
void __fastcall TForm1::BtnDelphiClick(TObject *Sender)
{
  // iz code - begin
  Hellodelphi_tlb::TCOMIHello Hello;
  try
  {
    Hello = Hellodelphi_tlb::CoHello::Create();
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloDelphi' COM server");
    Application->Terminate();
  }

  WideString retval;
  Hello->GetHelloString(&retval);
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

// call VB server
void __fastcall TForm1::BtnVBClick(TObject *Sender)
{
  // iz code - begin
  Hellovb_tlb::TCOM_Hello Hello;
  try
  {
    Hello = Hellovb_tlb::CoHello::Create();
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloVB' COM server");
    Application->Terminate();
  }

  WideString retval;
  Hello->GetHelloString(&retval);
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

// call VC server
void __fastcall TForm1::BtnVCClick(TObject *Sender)
{
  // iz code - begin
  Hellovclib_tlb::TCOMIHello Hello;
  try
  {
    Hello = Hellovclib_tlb::CoHello::Create();
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloVC' COM server");
    Application->Terminate();
  }

  WideString retval;
  Hello->GetHelloString(&retval);
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

// call VBS server
void __fastcall TForm1::BtnVBSClick(TObject *Sender)
{
  // iz code - begin
  Variant Hello;
  try
  {
    Hello = Variant::CreateObject("HelloVBS.Hello");
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloVBS' COM server");
    Application->Terminate();
  };

  Variant retval;
  retval = Hello.OleFunction("GetHelloString");
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

// call JS server
void __fastcall TForm1::BtnJSClick(TObject *Sender)
{
  // iz code - begin
  Variant Hello;
  try
  {
    Hello = Variant::CreateObject("HelloJS.Hello");
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloJS' COM server");
    Application->Terminate();
  };

  Variant retval;
  retval = Hello.OleFunction("GetHelloString");
  ShowMessage(retval);
  // iz code - end
}
//---------------------------------------------------------------------------

void __fastcall TForm1::BtnVFPClick(TObject *Sender)
{
  // iz code - begin
  /*
  Hellovfp_tlb::TCOMIhello Hello;
  try
  {
    Hello = Hellovfp_tlb::CoHello::Create();
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloVFP' COM server");
    Application->Terminate();
  }

  Variant retval;
  Hello->gethellostring(retval);
  ShowMessage(retval);
  */
  // iz code - end

  ///*
  Variant Hello;
  try
  {
    Hello = Variant::CreateObject("HelloVFP.Hello");
  }
  catch (...)
  {
    ShowMessage("Unable to create 'HelloVFP' COM server");
    Application->Terminate();
  };

  Variant retval;
  retval = Hello.OleFunction("GetHelloString");
  ShowMessage(retval);
  //*/
}
//---------------------------------------------------------------------------

