unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    BtnBCB: TButton;
    BtnDelphi: TButton;
    BtnVB: TButton;
    BtnVC: TButton;
    BtnVBS: TButton;
    BtnJS: TButton;
    BtnVFP: TButton;
    procedure BtnDelphiClick(Sender: TObject);
    procedure BtnBCBClick(Sender: TObject);
    procedure BtnVBClick(Sender: TObject);
    procedure BtnVCClick(Sender: TObject);
    procedure BtnVBSClick(Sender: TObject);
    procedure BtnJSClick(Sender: TObject);
    procedure BtnVFPClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  HelloBCB_TLB,    // BCB server
  HelloDelphi_TLB, // Delphi server
  HelloVB_TLB,     // VB server
  HelloVCLib_TLB,  // VC server
  HelloVFP_TLB,    // VFP server

  ComObj; // CreateOleObject

// call BCB server
procedure TForm1.BtnBCBClick(Sender: TObject);
var
  vIHello: HelloBCB_TLB.IHello;
begin
  vIHello := HelloBCB_TLB.CoHello.Create;
  ShowMessage(vIHello.GetHelloString);
end;

// call Delphi server
procedure TForm1.BtnDelphiClick(Sender: TObject);
var
  vIHello: HelloDelphi_TLB.IHello;
begin
  vIHello := HelloDelphi_TLB.CoHello.Create;
  ShowMessage(vIHello.GetHelloString);
end;

// call VB server
procedure TForm1.BtnVBClick(Sender: TObject);
var
  v_Hello: HelloVB_TLB._Hello;
begin
  v_Hello := HelloVB_TLB.CoHello.Create;
  ShowMessage(v_Hello.GetHelloString);
end;

// call VC server
procedure TForm1.BtnVCClick(Sender: TObject);
var
  vIHello: HelloVCLib_TLB.IHello;
begin
  vIHello := HelloVCLib_TLB.CoHello.Create;
  ShowMessage(vIHello.GetHelloString);
end;

// call VBScript server
procedure TForm1.BtnVBSClick(Sender: TObject);
var
  vIHello: OleVariant;
begin
  vIHello := CreateOleObject('HelloVBS.Hello');
  ShowMessage(vIHello.GetHelloString);
end;

// call JScript server
procedure TForm1.BtnJSClick(Sender: TObject);
var
  vIHello: OleVariant;
begin
  vIHello := CreateOleObject('HelloJS.Hello');
  ShowMessage(vIHello.GetHelloString);
end;

// call VFP server
procedure TForm1.BtnVFPClick(Sender: TObject);
var
  vIHello: HelloVFP_TLB.IHello;
begin
  vIHello := HelloVFP_TLB.CoHello.Create;
  ShowMessage(vIHello.GetHelloString);
end;

end.
