// HELLOIMPL : Implementation of THelloImpl (CoClass: Hello, Interface: IHello)

#include <vcl.h>
#pragma hdrstop

#include "IHelloImpl.h"

/////////////////////////////////////////////////////////////////////////////
// THelloImpl

STDMETHODIMP THelloImpl::GetHelloString(BSTR* result)
{
try
  {
    WideString retval("Hello from Borlad C++ Builder COM server");

    // Send out a copy of our concatenated BSTR
    // NOTE: result is not an [in, out], so we're not responsible for freeing what was there before
    *result = retval.Copy();
  }
  catch(Exception &e)
  {
    return Error(e.Message.c_str(), IID_IHello);
  }
  return S_OK;
}

