// Hello.h : Declaration of the CHello

#ifndef __HELLO_H_
#define __HELLO_H_

#include "resource.h"       // main symbols
#include <asptlb.h>         // Active Server Pages Definitions

/////////////////////////////////////////////////////////////////////////////
// CHello
class ATL_NO_VTABLE CHello : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CHello, &CLSID_Hello>,
	public IDispatchImpl<IHello, &IID_IHello, &LIBID_HELLOVCLib>
{
public:
	CHello()
	{ 
	}

public:

DECLARE_REGISTRY_RESOURCEID(IDR_HELLO)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CHello)
	COM_INTERFACE_ENTRY(IHello)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IHello
public:
	STDMETHOD(GetHelloString)(/*[out, retval]*/ BSTR* result);
};

#endif //__HELLO_H_
